LibreOffice LibreOffice 7.2 SDK API Reference

Variables
com::sun::star::text::RubyPosition Constant Group Reference

These constants define the position of ruby text. More...

## Variables
const short | ABOVE = 0
| ruby text should be above or on the right side of base text. More...
const short | BELOW = 1
| ruby text should be below or on the left side of base text. More...
const short | INTER_CHARACTER = 2
| Vertically aligned on right side of the base text in horizontal mode. More...

## Detailed Description

These constants define the position of ruby text.

Since
  LibreOffice 6.1

## Variable Documentation

## ◆ ABOVE

const short ABOVE = 0

ruby text should be above or on the right side of base text.

## ◆ BELOW

const short BELOW = 1

ruby text should be below or on the left side of base text.

## ◆ INTER_CHARACTER

const short INTER_CHARACTER = 2

Vertically aligned on right side of the base text in horizontal mode.

This is the same as ABOVE in vertical writing mode.